Bug 174358 - gnome-obex-server crashes when a file is being uploaded to the laptiop
gnome-obex-server crashes when a file is being uploaded to the laptiop
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-28 08:40 EST by Partha Bagchi
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.7.0-0.FC4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-29 19:24:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from gnome-obex-server (4.15 KB, text/plain)
2005-11-28 08:44 EST, Partha Bagchi
no flags Details

  None (edit)
Description Partha Bagchi 2005-11-28 08:40:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051118 Fedora/1.5-0.5.0.rc3 Firefox/1.5

Description of problem:
When a jpeg file form my RAZR phone is being uploaded using gnome-obex-server, the server crashes with the message:

conn_request:        bdaddr 00:12:8A:63:14:3B
conn_complete:  status 0x00
** Message: Incoming connection from 00:12:8A:63:14:3B
** Message: Device 00:12:8A:63:14:3B is about to send an object.
*** glibc detected *** gnome-obex-server: double free or corruption (fasttop): 0x08b88150 ***
.....[see attachment]

According to this message:

http://lists.gnomehack.com/pipermail/gnome-bluetooth/2005-October/000996.html

this is a known bug fixed in cvs.



Version-Release number of selected component (if applicable):
gnome-bluetooth-0.6.0-2

How reproducible:
Always

Steps to Reproduce:
1. Start blue-tooth subsytem
2. Start gnome-obex-server
3. Send a file from your phone
  

Actual Results:  The gnome-obex-server crashes

Expected Results:  The file should be transferred or there should be dialog box asking if you want to receive the file

Additional info:
Comment 1 Partha Bagchi 2005-11-28 08:44:07 EST
Created attachment 121545 [details]
Output from gnome-obex-server

This a known bug fixed in CVS
Comment 2 Rahul Sundaram 2006-02-20 06:27:46 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 3 Christoph Wickert 2006-03-05 18:27:49 EST
I have seen this bug with gnome-bluetooth-0.6.0 on core 4 and devel, but for me
it's fixed in 0.7.0. File Transfer works fine again. 

Is there any chance to also get an update for core 4? I was able to rebuild the
libbtcl-0.6.0 and gnome-bluetooth-0.7.0 by simply lowering the openobex BR from
1.1 to 1.0.1.
Comment 6 Christoph Wickert 2006-05-29 19:24:50 EDT
Yes, for me it's fixed in 0.7.0. Closing.

Note You need to log in before you can comment on or make changes to this bug.